Subject: Re: [PATCH net-next-2.6] net: force a fresh timestamp for ingress packets

From: Jarek Poplawski <[email-masked]>
Date: Thu, 16 Dec 2010 23:42:37 +0100

On Thu, Dec 16, 2010 at 11:26:03PM +0100, Eric Dumazet wrote:
> Le jeudi 16 décembre 2010 ?? 23:08 +0100, Jarek Poplawski a écrit :
> 
> > Hmm... Do you expect more people start debugging SFQ or I missed your
> > point? ;-) Maybe such a change would be reasonable on a cloned skb?
> 
> My point was to permit an admin to check his ingress shaping works or
> not. In this respect, netem was a specialization of a general problem.
> 
> We had a prior discussion on timestamping skb in RX path, when RPS came
> in : Should we take timestamp before RPS or after. At that time we added
> a sysctl. Not sure it was the right choice :-(
> 
> I feel tcpdump (on TX side) should really display time of packet right
> before being given to device, but this is probably a matter of taste.

It might be reasonable unless it changes data for later users. That's
why I mentioned cloning.

> 
> Before commit 8caf153974f2 (net: sch_netem: Fix an inconsistency in
> ingress netem timestamps.), this is what was done.

Then why don't you try to let turn it off in netem, where it only
matters?

Jarek P.